#include "../include/Cache.h"

namespace environnement {
namespace cache {

  std::ostream& operator<< (std::ostream& output, Cache & x)
  {
    output << x.information(0) << std::endl;

    for (uint32_t i=0; i<x.param->nb_cache_dedicated; i++)
      output << *(x.icache_dedicated[i]) << std::endl;
    for (uint32_t i=0; i<x.param->nb_cache_dedicated; i++)
      output << *(x.dcache_dedicated[i]) << std::endl;

    output << *(x.cache_shared) << std::endl;

    return output;
  }

};
};
